<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
        class Forma {
            dibujar(){
                console.log('Dibujando Forma');
            }
            borrar(){
                copnsole.log('Borrando forma...');
            }
        }

        class Circulo extends Forma{
            dibujar(){
                console.log('Calculando Diametro');
                console.log('Dibujando circulo...');
                this.hacerOtraCosa();
            }
            borrar() {
                console.log('Borrando Circulo');
            }
            hacerOtraCosa(){
                console.log('Haciendo otras Cositas ... ssshhh..');
            }
        }
        class Cuadrado extends Forma{
            dibujar(){
                console.log('Dibujandop lado A');
                console.log('Dibujandop lado B');
                console.log('Dibujandop lado C');
                console.log('Dibujandop lado D');
               
            }
            borrar() {
                console.log('Borrando Cuadrado');
            }
        }

        class pantalla{
            mopstrarFormas(forma){
                forma.dibujar();
            }

            limpiarPantalla(forma){
                forma.borrar();
            }
        }

        let circulo1 = new Circulo();
        let circulo2 = new Circulo();
        let cuadrado1 = new Cuadrado();
        let myPantalla = new pantalla();

        myPantalla.mopstrarFormas(circulo1);
        myPantalla.limpiarPantalla(circulo1);

        myPantalla.mopstrarFormas(circulo2);
        myPantalla.limpiarPantalla(circulo2);

        myPantalla.mopstrarFormas(cuadrado1);
        myPantalla.limpiarPantalla(cuadrado1);

        </script>
</body>
</html>